Package wx :: Class GBPosition

[frames | no frames]

## Type GBPosition

    object --+
             |
            GBPosition

This class represents the position of an item in a virtual grid of rows and columns managed by a `wx.GridBagSizer`. wxPython has typemaps that will automatically convert from a 2-element sequence of integers to a wx.GBPosition, so you can use the more pythonic representation of the position nearly transparently in Python code.

Method Summary
GBPosition | ``__init__`(self, row, col)` This class represents the position of an item in a virtual grid of rows and columns managed by a `wx.GridBagSizer`.
| `__del__(self)`
bool | ``__eq__`(self, other)` Compare GBPosition for equality.
| `__getitem__(self, index)`
| `__len__(self)`
bool | ``__ne__`(self, other)` Compare GBPosition for inequality.
| `__nonzero__(self)`
| `__reduce__(self)`
| `__repr__(self)`
| `__setitem__(self, index, val)`
| `__str__(self)`
| ``asTuple`(*args, **kwargs)` asTuple is deprecated, use `Get` instead
PyObject | `Get(self)`
int | `GetCol(self)`
int | `GetRow(self)`
| `Set(self, row, col)`
| `SetCol(self, col)`
| `SetRow(self, row)`

Property Summary
| `col`
| `row`
| `thisown`: The membership flag

Class Variable Summary
`bool` | `__safe_for_unpickling__` = `True`

Method Details

### __init__(self, row=0, col=0)
(Constructor)

This class represents the position of an item in a virtual grid of rows and columns managed by a `wx.GridBagSizer`. wxPython has typemaps that will automatically convert from a 2-element sequence of integers to a wx.GBPosition, so you can use the more pythonic representation of the position nearly transparently in Python code.

  Parameters:
    `row`
    (type=int)

    `col`
    (type=int)

  Returns:
    GBPosition
  Overrides:
    `__builtin__.object.__init__`

### __eq__(self, other)
(Equality operator)

Compare GBPosition for equality.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __ne__(self, other)

Compare GBPosition for inequality.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### asTuple(*args, **kwargs)

asTuple is deprecated, use `Get` instead

Property Details

### col

  Get Method:
    `GetCol`(self)
  Set Method:
    `SetCol`(self, col)

### row

  Get Method:
    `GetRow`(self)
  Set Method:
    `SetRow`(self, row)

### thisown

The membership flag

Class Variable Details

### __safe_for_unpickling__

  Type:
    `bool`
  Value:

        True

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:49 2007 | http://epydoc.sf.net